#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --buildsystem=cmake --	\
		-DCMAKE_BUILD_TYPE=Release		\
		-DPYTHON_EXECUTABLE=/usr/bin/python3	\
		-DENABLE_XHOST=OFF

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=cmake

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=cmake
